---
# This role contains oh-my-fish global installation
- name: Check if OMF is installed
  command: "ls {{ omf_installation_directory|quote }}"
  register: omf_present
  changed_when: false
  ignore_errors: True

- name: "Clone OMF from {{ omf_repo }}"
  become: yes
  git:
    repo: "{{ omf_repo }}"
    dest: "{{ omf_installation_directory }}"
  when: omf_present is failed

- name: Install OMF
  become: yes
  template:
    src: files/config-omf.fish.j2
    dest: /etc/fish/conf.d/config-omf.fish
    owner: root
    group: root
    mode: u=rw,g=rx,o=rx

- name: Check if OMF theme "{{ omf_theme }}" is installed
  command: "ls {{ omf_installation_directory|quote }}/themes/{{ omf_theme|quote }}"
  changed_when: false
  register: omf_theme_present
  ignore_errors: True

- name: "Clone OMF theme \"{{ omf_theme }}\" from {{ omf_theme_repo }}"
  become: yes
  git:
    repo: "{{ omf_theme_repo }}"
    dest: "{{ omf_installation_directory }}/themes/{{ omf_theme }}"
  when: omf_theme_present is failed

- name: Check if default theme already exists
  stat:
    path: "{{ omf_default_theme_directory }}"
  register: omf_default_link

- name: Move default OMF theme
  become: yes
  command: mv "{{ omf_default_theme_directory|quote }}" "{{ omf_default_theme_move_directory|quote }}"
  ignore_errors: True
  when: omf_default_link.stat.islnk is not defined or not omf_default_link.stat.islnk

- name: Ensure theme {{ omf_theme }} is set as default
  become: yes
  file:
    src: "{{ omf_theme_directory }}"
    dest: "{{ omf_default_theme_directory }}"
    force: yes
    state: link

- name: Copy theme overriding modifications
  become: yes
  copy:
    src: "files/themes/{{ omf_theme }}/override-{{ item }}"
    dest: "{{ omf_theme_directory}}/{{ item }}"
    owner: root
    group: root
    mode: u=rw,g=r,o=r
  ignore_errors: true
  with_items:
    - fish_prompt.fish

- name: Install OMF plugins
  become: yes
  git:
    repo: "{{ omf_plugin_repo_base }}{{item}}"
    dest: "{{ omf_plugin_directory }}/{{ item }}"
  with_items: "{{ omf_plugins }}"
...
